#
# spec file for package cosmic-reader
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cosmic-reader
Version:        0.1.0+git20241022.9f62f54
Release:        1.2
Summary:        COSMIC PDF reader
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-reader
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
install -Dm0755 ./target/release/%{name} %{buildroot}%{_bindir}/%{name}

%check
%{cargo_test}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 0.1.0+git20241022.9f62f54:
  * Update libcosmic/iced and implement images
  * Parse pdf images and update lopdf
  * Use metrically compatible fonts when font name not specified
  * Update dependencies
  * Add license (GPLv3)
  * Use fork of lopdf for identity-h encoding
  * Update dependencies
  * Move text lines using transforms
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed May 22 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
